Subject: Re: [PATCH 2/5] powerpc: Generic device tree for all AmigaOne boards

From: Scott Wood <[email-masked]>
Date: Wed, 07 Jan 2009 16:38:04 -0600

Grant Likely wrote:
> On Wed, Jan 7, 2009 at 3:23 PM, Scott Wood <[email-masked]> wrote:
>> It doesn't seem any more likely to introduce a fault by specifying the
>> interrupt controller in one place than in many places.
> 
> We do the same thing with #address-cells and #size-cells for the same
> reason.  You can get away with leaving them out; but being explicit is
> more clear.

That's different -- the defaults for #address-cells and #size-cells are 
abitrary constants (2 and 1, respectively), not merely something that 
was defined higher in the hierarchy.

-Scott